package com.ssj.service.conch.student.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class AppCorrectDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String subject;
    private List<Map<String, Object>> homeworkPictureList;

    private List<String> wrongItemList;

    private List<RelateKnowledgeDto> relateKnowledgeList;

    private List<String> unfinishedList;

    public AppCorrectDetailDto(){
        homeworkPictureList = new ArrayList<>();
        wrongItemList = new ArrayList<>();
        relateKnowledgeList = new ArrayList<>();
        unfinishedList = new ArrayList<>();
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public List<Map<String, Object>> getHomeworkPictureList() {
        return homeworkPictureList;
    }

    public void setHomeworkPictureList(List<Map<String, Object>> homeworkPictureList) {
        this.homeworkPictureList = homeworkPictureList;
    }

    public List<String> getWrongItemList() {
        return wrongItemList;
    }

    public void setWrongItemList(List<String> wrongItemList) {
        this.wrongItemList = wrongItemList;
    }

    public void addWrongItem (String wrongItem){
        this.wrongItemList.add(wrongItem);
    }

    public List<RelateKnowledgeDto> getRelateKnowledgeList() {
        return relateKnowledgeList;
    }

    public void setRelateKnowledgeList(List<RelateKnowledgeDto> relateKnowledgeList) {
        this.relateKnowledgeList = relateKnowledgeList;
    }

    public List<String> getUnfinishedList() {
        return unfinishedList;
    }

    public void setUnfinishedList(List<String> unfinishedList) {
        this.unfinishedList = unfinishedList;
    }

    public void addUnfinishItem (String name){
        this.unfinishedList.add(name);
    }
}
